Subject: RE: git-2.51.0: Fetching tags does not work

From: <[email-masked]>
Date: Sun, 2 Nov 2025 20:34:32 -0500

On November 2, 2025 7:47 PM, David Bohman wrote:
>I am sorry to have to bring this up again, but I am still occasionally seeing this
>problem with git 2.51.2.
>
>What is happening is that I am cloning a repository as bare, and then later I try to
>fetch the new content including the tags:
>
>% ( cd bind9.git; git fetch --tags )
>>>From https://gitlab.isc.org/isc-projects/bind9
> * branch                  HEAD       -> FETCH_HEAD
> ! [rejected]              stable     -> stable  (would clobber existing tag)
> * [new tag]               v9.18.41   -> v9.18.41
> * [new tag]               v9.20.15   -> v9.20.15
> * [new tag]               v9.21.14   -> v9.21.14
>% ( cd bind9.git; git fetch --tags )
>>>From https://gitlab.isc.org/isc-projects/bind9
> * branch                  HEAD       -> FETCH_HEAD
> ! [rejected]              stable     -> stable  (would clobber existing tag)
> * [new tag]               v9.18.41   -> v9.18.41
> * [new tag]               v9.20.15   -> v9.20.15
> * [new tag]               v9.21.14   -> v9.21.14
>% print $?
>1
>% ( cd bind9.git; git tag ) | grep v9.20.15 %
>
>As you can see, it is getting an error for one of the tags, but it is also failing to record
>the other new tags into the repository.

git fetch --tags --force

should clear your situation, where the tag is different on the upstream compare to
your local clone.